Subject: Re: [payload] I-D Action: draft-ietf-payload-flexible-fec-scheme-10.txt

From: "Roni Even (A)" <[email-masked]>
Date: Thu, 6 Dec 2018 11:03:29 +0000

Hi,
Can you send these messages to the list.
I am wondering about ToP, I saw a previous question from Magnus about using for example ToP 0,3 (FEC plus retransmission) not allowed by current definition in 5.1.1 but if I read section 4.2.2.3 first paragraph correctly it is allowed
I also assume that Magnus asked for the default value for ToP and I did not see any text in 5.1.1
Roni Even 

-----Original Message-----
From: Magnus Westerlund [mailto:[email-masked]] 
Sent: Thursday, December 06, 2018 10:32 AM
To: Ben Campbell
Cc: Ali C. Begen; Mo Zanaty (mzanaty); Roni Even (A); ART ADs; Giridhar Mandyam
Subject: Re: [payload] I-D Action: draft-ietf-payload-flexible-fec-scheme-10.txt

Hi,

I have responded on the first question. Although I don't understand why that went off-list.

I want to comment on the second paragraph below.

On 2018-12-05 19:36, Ben Campbell wrote:
>> On Dec 5, 2018, at 12:28 PM, Giridhar Mandyam <[email-masked]> wrote:
>>
>> I believe his first comment on ToP needs to be addressed in the revision.  I believe his second comment is more problematic, because it refers to a standards-track document that has not achieved RFC status yet (i.e. it may undergo changes), and I am not sure it will help the document.
>>
>>
Considering that draft-ietf-avtext-rid is approved and stuck in RFC-editor missref state on cluster 238 I don't see this as a reason for not addressing my raised issue.

The reason I do want to raise this is that flexfec could be used in a sub-set of cases, but is not necessary in any cases as the linking to the source flow is provided in the FLEXFEC RTP packet. Thus, for making it clear that it is not needed, I think an explicit statement should be added to that effect. If we don't have a statement we might find situations where people will attempt to apply it and gets into the confusion if they try the FEC mode with multiple source SSRCs where it doesn't work.

Cheers 

Magnus Westerlund 

----------------------------------------------------------------------
Network Architecture & Protocols, Ericsson Research
----------------------------------------------------------------------
Ericsson AB                 | Phone  +46 10 7148287
Torshamnsgatan 23           | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden | mailto: [email-masked]
----------------------------------------------------------------------